import Foundation

enum TempNavigationState: Stateable {
    case main
    case details
}

struct TempState: Stateable {
    var navigation: TempNavigationState
    var someModel: TempModel?
}

// MARK: Init
extension TempState {
    init() {
        navigation = .main
    }
}
